<?php
function bp_gtm_js_groups_all() {
   global $bp;
   $bp_gtm = get_option('bp_gtm');
   if (is_admin())
      wp_enqueue_script('BP_GTM_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/scripts-admin.js', array('jquery') );
   if ('create' == $bp->action_variables[1] || 'edit' == $bp->action_variables[1]) {

      if ($bp_gtm['mce'] == on){
         wp_enqueue_script('tiny_mce', $bp->root_domain . '/wp-includes/js/tinymce/tiny_mce.js', false, '20100912');
         add_action('wp_head', 'bp_gtm_richeditor_form');
      }

      wp_enqueue_script('BP_GTM_UICORE_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/datepicker/ui.core.min.js', array('jquery') );
      wp_enqueue_script('BP_GTM_UIDATEPICKER_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/datepicker/ui.datepicker.min.js', array('jquery') );
      add_action('wp_head', 'bp_gtm_datepicker_js');
   }

   if ('view' == $bp->action_variables[1]) {
      add_action('wp_head', 'bp_gtm_edit_delete_posts_js');
   }

   if ('terms' == $bp->action_variables[0]) {
      wp_enqueue_script('BP_GTM_UICORE_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/effects/effects.core.min.js', array('jquery') );
      wp_enqueue_script('BP_GTM_UIBLIND_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/effects/effects.blind.min.js', array('jquery') );
      add_action('wp_head', 'bp_gtm_toggle_js');
      add_action('wp_head', 'bp_gtm_delete_js');
      add_action('wp_head','bp_gtm_edit_js');
   }
   if (('projects' == $bp->action_variables[0] || 'tasks' == $bp->action_variables[0] || $bp->action_variables[0] == '') && $bp->current_component != $bp->gtm->slug) {
      add_action('wp_head', 'bp_gtm_delete_js');
      add_action('wp_head', 'bp_gtm_done_js');
   }
   if ('tasks' == $bp->action_variables[0] && 'view' == $bp->action_variables[1]) {
      add_action('wp_head', 'bp_gtm_task_actions');
   }

   if ('discuss' == $bp->action_variables[0]) {
      add_action('wp_head', 'bp_gtm_discuss_navi_js');
   }

   if (('tasks' == $bp->action_variables[0] || $bp->action_variables[0] == '') && $bp->current_component != $bp->gtm->slug) {
      wp_enqueue_script('BP_GTM_UICORE_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/effects/effects.core.min.js', array('jquery') );
      wp_enqueue_script('BP_GTM_UIBLIND_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/effects/effects.blind.min.js', array('jquery') );
      add_action('wp_head', 'bp_gtm_toggle_js');
      add_action('wp_head', 'bp_gtm_tasks_navi_js');
      if($_GET['filter'] != 'done')
         add_action('wp_head', 'bp_gtm_subtasks');
   }

   if($bp->current_component == $bp->gtm->slug){ // for personal GTM page only
      wp_enqueue_script('BP_GTM_UICORE_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/effects/effects.core.min.js', array('jquery') );
      wp_enqueue_script('BP_GTM_UIBLIND_JS', WP_PLUGIN_URL.'/bp-gtm-system/_inc/effects/effects.blind.min.js', array('jquery') );
      add_action('wp_head', 'bp_gtm_personal_toggle_js');
      add_action('wp_head', 'bp_gtm_personal_navi_js');
   }
}
add_action('wp_print_scripts', 'bp_gtm_js_groups_all');

function bp_gtm_richeditor_form(){
   global $bp, $wpdb;
   $language = ( '' == get_locale() ) ? 'en' : strtolower( substr(get_locale(), 0, 2) );

	if ( 'en' != $locale )
		include_once(ABSPATH . WPINC . '/js/tinymce/langs/wp-langs.php');
   echo "<script type='text/javascript'>\n$lang\n</script>\n";

   $options['buttons'] = 'bold,italic,underline,|,blockquote,|,bullist,numlist,|,undo,redo,|,indent,outdent,|,link,unlink,|,justifyleft,justifycenter,justifyright,|,forecolor,backcolor,|,image,hr,|,removeformat,code';

	$initArray = array (
	   'mode' => 'exact',
	   'elements' => 'gtm_desc',
	   'theme' => 'advanced',
	   'theme_advanced_buttons1' => $options['buttons'],
	   'theme_advanced_buttons2' => "",
	   'theme_advanced_buttons3' => "",
	   'theme_advanced_toolbar_location' => "top",
	   'theme_advanced_toolbar_align' => "left",
	   'theme_advanced_statusbar_location' => 'bottom',
	   'theme_advanced_resizing' => 'true',
	   'theme_advanced_resize_horizontal' => false,
	   'theme_advanced_disable' => '',
	   'force_p_newlines' => false,
	   'force_br_newlines' => true,
	   'forced_root_block' => "p",
	   'gecko_spellcheck' => true,
 	   'skin' => 'default',//or wp_theme|o2k7 for future
	   'content_css' => '',
	   'directionality' => 'ltr',// or rtl for future
	   'save_callback' => "brstonewline",
	   'entity_encoding' => "raw",
	   'plugins' => '',
	   //'extended_valid_elements' => "a[name|href|title],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style],blockquote[cite]",'.$le;
      'language' => $language,
   );

   $params = array();
	foreach ( $initArray as $k => $v )
		$params[] = $k . ':"' . $v . '"	';
	$res = join(',', $params);
	?>
	<script type="text/javascript">
      /* <![CDATA[ */
      function brstonewline(element_id, html, body) { html = html.replace(/<br\s*\/>/gi, "\n"); return html; }

	   function insertHTML(html) { tinyMCE.execCommand("InsertContent",false, html); }

      tinyMCEPreInit = {
	      base : "<?php echo $bp->root_domain ?>/wp-includes/js/tinymce",
	      suffix : "",
	      query : "ver=20100912",
	      reInit : {<?php echo $res ?>},
	      go : function() {
		      var t = this, 
               sl = tinymce.ScriptLoader,
               ln = t.reInit.language,
               th = t.reInit.theme,
               pl = t.reInit.plugins;

		      sl.markDone(t.base + '/langs/' + ln + '.js');

		      sl.markDone(t.base + '/themes/' + th + '/langs/' + ln + '.js');
		      sl.markDone(t.base + '/themes/' + th + '/langs/' + ln + '_dlg.js');

		      tinymce.each(pl.split(','), function(n) {
			      if (n && n.charAt(0) != '-') {
				      sl.markDone(t.base + '/plugins/' + n + '/langs/' + ln + '.js');
				      sl.markDone(t.base + '/plugins/' + n + '/langs/' + ln + '_dlg.js');
			      }
		      });
	      },

	      load_ext : function(url,lang) {
		      var sl = tinymce.ScriptLoader;

		      sl.markDone(url + '/langs/' + lang + '.js');
		      sl.markDone(url + '/langs/' + lang + '_dlg.js');
	      }
      };

      var subBtn = document.getElementById("submit");
	   if (subBtn != null) {
	      subBtn.onclick=function() {
	         var inst = tinyMCE.getInstanceById("gtm_desc");
	         document.getElementById("gtm_desc").value = inst.getContent();
	         document.getElementById("gtm_form").submit();
	         return false;
	      }
	   }
	   tinyMCEPreInit.go();
      tinyMCE.init(tinyMCEPreInit.reInit);
      /* ]]> */
      </script>

	<?php
}

function bp_gtm_subtasks(){
   global $bp;
?>
<script type="text/javascript">
jQuery(function() {
   // show extra icons
   jQuery('tbody#tasks-list tr').hover(function(){
      var task_id = jQuery(this).attr('id');
      jQuery('span.subtasks_'+task_id).fadeIn('fast');
   });

   // hide extra icons
   jQuery('tbody#tasks-list tr').mouseleave(function(){
      var task_id = jQuery(this).attr('id');
      jQuery('span.subtasks_'+task_id).fadeOut('fast');
   });
});
</script>
<?php
}

function bp_gtm_task_actions(){
   global $bp;
?>
<script type="text/javascript">
jQuery(function() {
   jQuery('a.show_subtasks').click(function(e){
      e.preventDefault();
      var task_id = jQuery('a.show_subtasks').attr('id');
      jQuery.ajax({
         type: 'GET',
         url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
         data: {
            parent_id: task_id,
            action: 'bp_gtm_get_subtasks',
            'cookie': encodeURIComponent(document.cookie)
         },
         success: function(data) {
            if (data.length > 0){
               jQuery("div.subtasks").css('display','block').html("<h4 id='subtasks'><?php _e('List of SubTasks','bp_gtm') ?></h4>"+data);
            }else{
               jQuery("div.subtasks").css('display','block').html("<h4 id='subtasks'><?php _e('There are no subtasks to display','bp_gtm') ?></h4>");
            }
         }
      });
   });

   jQuery('a.complete_task').click(function(e){
      e.preventDefault();
      var task_id = jQuery('a.complete_task').attr('id');
      jQuery.ajax({
         type: 'GET',
         url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
         data: {
            task_id: task_id,
            action_type: 'complete',
            action: 'bp_gtm_do_task_actions',
            'cookie': encodeURIComponent(document.cookie)
         },
         success: function(data) {
            jQuery("span#task_status").css('color','green').css('display', '').html("&rarr; <?php _e('completed','bp_gtm') ?>");
         }
      });
   });

   jQuery('a.delete_task').click(function(e){
      e.preventDefault();
      var task_id = jQuery('a.delete_task').attr('id');
      jQuery.ajax({
         type: 'GET',
         url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
         data: {
            task_id: task_id,
            action_type: 'delete',
            action: 'bp_gtm_do_task_actions',
            'cookie': encodeURIComponent(document.cookie)
         },
         success: function(data) {
            jQuery("span#task_status").css('color','red').css('display', '').html("&rarr; <?php _e('deleted','bp_gtm') ?>");
         }
      });
   });

});
</script>
<?php
}

function bp_gtm_datepicker_js() {
   global $bp;
?>
   <script type="text/javascript" src="<?php echo WP_PLUGIN_URL.'/bp-gtm-system/_inc/datepicker/i18n/'.WPLANG.'.js' ?>"></script>
   <script type="text/javascript">
      jQuery(function() {
         <?php if ('projects' == $bp->action_variables[0]) { ?>
            jQuery("#project_deadline").datepicker(jQuery.datepicker.regional['<?php echo WPLANG; ?>']);
         <?php }elseif('tasks' == $bp->action_variables[0]){ ?>
            jQuery("#task_deadline").datepicker(jQuery.datepicker.regional['<?php echo WPLANG; ?>']);
         <?php } ?>
      });
   </script>
   
<?php
}

function bp_gtm_delete_js(){
   global $bp;
?>
<script type="text/javascript">
   jQuery(function() {
      jQuery("a.delete_me").click(function(edelete){
         edelete.preventDefault();
         if ( confirm( '<?php _e('Are you sure you want to delete it?\nThis action cannot be undone.','bp_gtm') ?>' ) ) {
            var itemID = jQuery(this).attr('id');
            var itemType = jQuery("tr#"+itemID+" td.td-freshness").attr('id');
            jQuery.ajax({
               type: 'GET',
               url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
               data: {
                  deleteItem: itemID,
                  deleteType: itemType,
                  action: 'bp_gtm_delete_item',
                  'cookie': encodeURIComponent(document.cookie)
               },
               success: function(data) {
                  jQuery("tr#"+itemID).fadeOut("slow");
               }
            });
         }else{
            return false;
         }
      });
   });
</script>
<?php
}

function bp_gtm_edit_js(){
   global $bp;
?>
<script type="text/javascript">
	jQuery(function() {
		jQuery('a.edit_me').click(function(edit) {
         edit.preventDefault();
         var termID = jQuery(this).attr('id');
         var termName = jQuery('tr#'+termID+' td.td-title a.topic-title').text();
			jQuery('tr#'+termID).after('<tr id="edited" class="sticky">\n\
               <td class="td-title" colspan="2"><input style="width:80%" name="editTermName" id="editTermName" value="" /></td>\n\
               <td class="td-freshness"><a class="saveEditedTerm" href="#" title="<?php _e('Save','bp_gtm') ?>"><img style="border:none" height="16" width="16" src="<?php echo WP_PLUGIN_URL ?>/bp-gtm-system/_inc/images/done.png" alt="<?php _e('Save','bp_gtm') ?>" /></a>&nbsp;&nbsp;<a class="cancelEditedTerm" href="#" title="<?php _e('Cancel','bp_gtm') ?>"><img style="border:none" height="16" width="16" src="<?php echo WP_PLUGIN_URL ?>/bp-gtm-system/_inc/images/undone.png" alt="<?php _e('Cancel','bp_gtm') ?>" /></a></td>\n\
            </tr>');

         jQuery('input#editTermName').val(termName);

         jQuery('a.cancelEditedTerm').click(function(e){
            e.preventDefault();
            jQuery('tr#edited').fadeOut("slow");
         })

         jQuery('a.saveEditedTerm').click(function(esave){
            esave.preventDefault();
            var newTermName = jQuery('input#editTermName').val();
            
            jQuery.ajax({
               type: 'GET',
               url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>',
               data: {
                  editID: termID,
                  editName: newTermName,
                  action: 'bp_gtm_edit_term',
                  'cookie': encodeURIComponent(document.cookie)
               },
               success: function(data) {
                  jQuery('tr#'+termID+' td.td-title a.topic-title').text(newTermName);
                  jQuery('tr#edited').fadeOut("slow");
               }
            });
         });
      });
	});
</script>
<?php
}

function bp_gtm_edit_delete_posts_js(){
   global $bp;
?>
<script type="text/javascript">
jQuery(function() {
   jQuery('a.delete_post').click(function(e){
      e.preventDefault();
      var post = jQuery(this).attr('id');
      var element = '<?php echo $bp->action_variables[0] ?>';
      var element_id = '<?php echo $bp->action_variables[2] ?>';

      jQuery.ajax({
         type: 'GET',
         url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>',
         data: {
            action_type: 'delete',
            elem: element,
            elem_id: element_id,
            post_id: post,
            action: 'bp_gtm_discuss_posts_actions',
            'cookie': encodeURIComponent(document.cookie)
         },
         success: function(data) {
            jQuery('ul.discussions li#post-'+post).fadeOut('slow');
         }
      });
   });

   jQuery('a.edit_post').click(function(e){
      e.preventDefault();
      var post = jQuery(this).attr('id');
      var element = '<?php echo $bp->action_variables[0] ?>';
      var element_id = '<?php echo $bp->action_variables[2] ?>';

      var edited_a = '<?php _e('Update post','bp_gtm') ?>';
      var cancel_a = '<?php _e('Cancel','bp_gtm') ?>';

      var current_text = jQuery('li#post-'+post+' div.post-content').html();
      jQuery('li#post-'+post+' div.post-content').replaceWith('<p id="remove_me_later">\n\
            <textarea name="edit_discuss_text" id="edit_discuss_text">'+current_text+'</textarea>\n\
            <br><br><a class="button edited_a" style="margin:0 20px 0 54px;" href="#">'+edited_a+'</a>\n\
            <a class="button cancel_a" href="#">'+cancel_a+'</a></p>');

      jQuery('a.edited_a').click(function(e2){
         e2.preventDefault();
         var new_text = jQuery('#edit_discuss_text').val();
         jQuery.ajax({
            type: 'GET',
            url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>',
            data: {
               action_type: 'edit',
               text: new_text,
               post_id: post,
               action: 'bp_gtm_discuss_posts_actions',
               'cookie': encodeURIComponent(document.cookie)
            },
            success: function(data) {
               jQuery('ul.discussions li#post-'+post+' #edit_discuss_text').fadeOut('slow');
               jQuery('ul.discussions li#post-'+post+' p#remove_me_later').replaceWith('<div class="post-content">'+data+'</div>')
               jQuery('ul.discussions li#post-'+post+'').fadeIn('slow');
            }
         });
      });

      jQuery('a.cancel_a').click(function(e3){
         e3.preventDefault();
         jQuery('ul.discussions li#post-'+post+' p#remove_me_later').replaceWith('<div class="post-content">'+current_text+'</div>');
      });

   });

});
</script>
<?php
}

function bp_gtm_done_js(){
   global $bp;
?>
<script type="text/javascript">
   jQuery(function() {
      
		jQuery('a.done_me').click(function(edone) {
         edone.preventDefault();
         var itemID = jQuery(this).attr('id');
         var itemType = jQuery('td.td-freshness').attr('id');
         jQuery.ajax({
            type: 'GET',
            url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>',
            data: {
               doneID: itemID,
               doneType: itemType,
               doneAction: 'done',
               action: 'bp_gtm_done_item',
               'cookie': encodeURIComponent(document.cookie)
            },
            success: function(data) {
               jQuery('tr#'+itemID).fadeOut("slow");
            }
         });
      });

		jQuery('a.undone_me').click(function(eundone) {
         eundone.preventDefault();
         var itemID = jQuery(this).attr('id');
         var itemType = jQuery('td.td-freshness').attr('id');
         jQuery.ajax({
            type: 'GET',
            url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>',
            data: {
               doneID: itemID,
               doneType: itemType,
               doneAction: 'undone',
               action: 'bp_gtm_done_item',
               'cookie': encodeURIComponent(document.cookie)
            },
            success: function(data) {
               jQuery('tr#'+itemID).fadeOut("slow");
            }
         });
      });

   });
</script>
<?php
}

function bp_gtm_toggle_js(){
?>
<script type="text/javascript">
   jQuery(function() {
      function runEffect(){
         var selectedEffect = 'blind';
         var options = {};
         jQuery("#box").toggle(selectedEffect,options,500);
      };
      jQuery("a#open").click(function(eopen) {
         eopen.preventDefault();
         runEffect();
         return false;
      });
   });
</script>
<?php
}

function bp_gtm_personal_toggle_js(){
?>
<script type="text/javascript">
   jQuery(function() {
      function run_project(){
         var selectedEffect = 'blind';
         var options = {};
         jQuery(".filter_project").toggle(selectedEffect,options,500);
      };
      function run_group(){
         var selectedEffect = 'blind';
         var options = {};
         jQuery(".filter_group").toggle(selectedEffect,options,500);
      };
      jQuery("a#open_project").click(function(eopen) {
         eopen.preventDefault();
         run_project();
         return false;
      });
      jQuery("a#open_group").click(function(eopen) {
         eopen.preventDefault();
         run_group();
         return false;
      });
   });
</script>
<?php
}

function bp_gtm_discuss_navi_js(){
   global $bp;
?>
<script type="text/javascript">
jQuery(function() {

   jQuery('a.discuss_navi').click(function(e) {
      e.preventDefault();
      var pageN = jQuery(this).attr('id');
      jQuery('tbody#discuss-list').fadeOut("slow");
      jQuery('a.discuss_navi').removeClass('current');
      jQuery(this).addClass('current');
      jQuery.ajax({
         type: 'GET',
         url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
         data: {
            nextPage: pageN,
            what: '<?php if (!$_GET['filter']){ echo 'tasks'; }else{ echo $_GET['filter']; } ?>',
            action: 'bp_gtm_discuss_navi_content',
            'cookie': encodeURIComponent(document.cookie)
         },
         success: function(data) {
            var per_page = String(pageN).split('-');
            var pageBegin = (per_page[0] * per_page[1]) + parseInt('1');
            var pageEnd = (parseInt(pageBegin) + parseInt(per_page[1])) - 1;
            if (pageEnd > jQuery('div.pag-count p.navi').attr('id'))
               var pageEnd = jQuery('div.pag-count p.navi').attr('id');
            jQuery('span#cur_discuss').text(pageBegin+' - '+pageEnd);
            jQuery('tbody#discuss-list').html(data).fadeIn("slow");
         }
      });
   });

});
</script>
<?php
}

function bp_gtm_tasks_navi_js(){
   global $bp;
?>
<script type="text/javascript">
   jQuery(function() {

      jQuery('a.task_navi').click(function(e) {
         e.preventDefault();
         var pageN = jQuery(this).attr('id');
         jQuery('tbody#tasks-list').fadeOut("slow");
         jQuery('a.task_navi').removeClass('current');
         jQuery(this).addClass('current');
         jQuery.ajax({
            type: 'GET',
            url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
            data: {
               nextPage: pageN,
               filter: '<?php echo $_GET['filter'] ?>',
               project: '<?php echo $_GET['project'] ?>',
               action: 'bp_gtm_tasks_navi_content',
               'cookie': encodeURIComponent(document.cookie)
            },
            success: function(data) {
               var per_page = String(pageN).split('-');
               var pageBegin = (per_page[0] * per_page[1]) + parseInt('1');
               var pageEnd = (parseInt(pageBegin) + parseInt(per_page[1])) - 1;
               if (pageEnd > jQuery('div.pag-count p.navi').attr('id'))
                  var pageEnd = jQuery('div.pag-count p.navi').attr('id');
               jQuery('span#cur_tasks').text(pageBegin+' - '+pageEnd);
               jQuery('tbody#tasks-list').html(data).fadeIn("slow");

               // Subtasks
               // show extra icons
               jQuery('tbody#tasks-list tr').hover(function(){
                  var task_id = jQuery(this).attr('id');
                  jQuery('span.subtasks_'+task_id).fadeIn('fast');
               });

               // hide extra icons
               jQuery('tbody#tasks-list tr').mouseleave(function(){
                  var task_id = jQuery(this).attr('id');
                  jQuery('span.subtasks_'+task_id).fadeOut('fast');
               });

               // Delete new rows
               jQuery(function() {
                  jQuery("a.delete_me").click(function(edelete){
                     edelete.preventDefault();
                     if ( confirm( '<?php _e('Are you sure you want to delete it?\nThis action cannot be undone.','bp_gtm') ?>' ) ) {
                        var itemID = jQuery(this).attr('id');
                        var itemType = jQuery("tr#"+itemID+" td.td-freshness").attr('id');
                        jQuery.ajax({
                           type: 'GET',
                           url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
                           data: {
                              deleteItem: itemID,
                              deleteType: itemType,
                              action: 'bp_gtm_delete_item',
                              'cookie': encodeURIComponent(document.cookie)
                           },
                           success: function(data) {
                              jQuery("tr#"+itemID).fadeOut("slow");
                           }
                        });
                     }else{
                        return false;
                     }
                  });
               });

               // Done/Undone new rows
               jQuery('a.done_me').click(function(edone) {
                  edone.preventDefault();
                  var itemID = jQuery(this).attr('id');
                  var itemType = jQuery('td.td-freshness').attr('id');
                  jQuery.ajax({
                     type: 'GET',
                     url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>',
                     data: {
                        doneID: itemID,
                        doneType: itemType,
                        doneAction: 'done',
                        action: 'bp_gtm_done_item',
                        'cookie': encodeURIComponent(document.cookie)
                     },
                     success: function(data) {
                        jQuery('tr#'+itemID).fadeOut("slow");
                     }
                  });
               });
               jQuery('a.undone_me').click(function(eundone) {
                  eundone.preventDefault();
                  var itemID = jQuery(this).attr('id');
                  var itemType = jQuery('td.td-freshness').attr('id');
                  jQuery.ajax({
                     type: 'GET',
                     url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>',
                     data: {
                        doneID: itemID,
                        doneType: itemType,
                        doneAction: 'undone',
                        action: 'bp_gtm_done_item',
                        'cookie': encodeURIComponent(document.cookie)
                     },
                     success: function(data) {
                        jQuery('tr#'+itemID).fadeOut("slow");
                     }
                  });
               });

            }
         });
      });

   });
</script>
<?php
}

function bp_gtm_personal_navi_js(){
   global $bp;
?>
<script type="text/javascript">
   jQuery(function() {

      jQuery('a.task_navi').click(function(e) {
         e.preventDefault();
         var pageN = jQuery(this).attr('id');
         jQuery('tbody#tasks-list').fadeOut("slow");
         jQuery('a.task_navi').removeClass('current');
         jQuery(this).addClass('current');
         jQuery.ajax({
            type: 'GET',
            url: '<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME']) ?>',
            data: {
               nextPage: pageN,
               filter: '<?php echo $_GET['filter'] ?>',
               project: '<?php echo $_GET['project'] ?>',
               action: 'bp_gtm_personal_tasks_navi_content',
               'cookie': encodeURIComponent(document.cookie)
            },
            success: function(data) {
               var per_page = String(pageN).split('-');
               var pageBegin = (per_page[0] * per_page[1]) + parseInt('1');
               var pageEnd = (parseInt(pageBegin) + parseInt(per_page[1])) - 1;
               if (pageEnd > jQuery('p.navi').attr('id')) pageEnd = jQuery('p.navi').attr('id');
               jQuery('span#cur_tasks').text(pageBegin+' - '+pageEnd);
               jQuery('tbody#tasks-list').html(data).fadeIn("slow");
            }
         });
      });

   });
</script>
<?php
}

function bp_gtm_autocomplete_js() {
	global $bp;

	// Include the autocomplete JS for different pages inside GTM component
	if ( ('projects' == $bp->action_variables[0] || 'tasks' == $bp->action_variables[0] )
      && ('create' == $bp->action_variables[1] || 'edit' == $bp->action_variables[1]) ) {
      wp_enqueue_script('bp-gtm-autocomplete', WP_PLUGIN_URL . '/bp-gtm-system/_inc/autocomplete/autocomplete.js', array('jquery') );
      add_action('wp_head', 'bp_gtm_resps_autocomplete_init_jsblock');
      add_action('wp_head', 'bp_gtm_tags_autocomplete_init_jsblock');
      bp_gtm_resps_autocomplete_js();
      bp_gtm_tags_autocomplete_js();
      wp_enqueue_script('bp-gtm-jquery-bgiframe', WP_PLUGIN_URL . '/bp-gtm-system/_inc/autocomplete/jquery.bgiframe.min.js');
 		wp_enqueue_script('bp-gtm-jquery-dimensions', WP_PLUGIN_URL . '/bp-gtm-system/_inc/autocomplete/jquery.dimensions.js');
	}

}
add_action('wp', 'bp_gtm_autocomplete_js', 2 );

function bp_gtm_resps_autocomplete_js(){
	wp_enqueue_script('bp-gtm-resps-autocomplete-gtm', WP_PLUGIN_URL . '/bp-gtm-system/_inc/autocomplete/resps.autocomplete-gtm.js');
}

function bp_gtm_tags_autocomplete_js(){
   wp_enqueue_script('bp-gtm-tags-autocomplete-gtm', WP_PLUGIN_URL . '/bp-gtm-system/_inc/autocomplete/tags.autocomplete-gtm.js');
}

function bp_gtm_add_css() {
	global $bp;

	if ( $bp->current_component == $bp->groups->slug && ('create' == $bp->action_variables[1] || 'edit' == $bp->action_variables[1]) ) {
		wp_enqueue_style('bp-gtm-autocomplete', WP_PLUGIN_URL . '/bp-gtm-system/_inc/autocomplete.css');
		wp_print_styles();
	}
	if ( $bp->current_component == $bp->groups->slug && $bp->current_action == $bp->gtm->slug || $bp->current_component == $bp->gtm->slug ) {
      wp_enqueue_style('bp-gtm-style', WP_PLUGIN_URL . '/bp-gtm-system/_inc/style.css');
      wp_print_styles();
   }
}
add_action('wp_head', 'bp_gtm_add_css');

function bp_gtm_resps_autocomplete_init_jsblock() {
	global $bp;
?>
	<script type="text/javascript">
		jQuery(document).ready(function() {
			var acfb =
			jQuery("ul.first").autoCompletefb({urlLookup:'<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>', type: 'resps'});

			jQuery('#gtm_form').submit( function() {
            var users = document.getElementById('resp_usernames').className;
            document.getElementById('resp_usernames').value = String(users);
			});
		});
	</script>
<?php
}

function bp_gtm_tags_autocomplete_init_jsblock() {
	global $bp;
?>
	<script type="text/javascript">
		jQuery(document).ready(function() {
			var tags =
			jQuery("ul.first").autoCompleteTags({urlLookup:'<?php echo $bp->root_domain . str_replace('index.php', 'wp-load.php', $_SERVER['SCRIPT_NAME'] ) ?>', type: 'tags'});

			jQuery('#gtm_form').submit( function() {
            var tagNames = document.getElementById('tag_names').className;
            document.getElementById('tag_names').value = String(tagNames);
			});
		});
	</script>
<?php
}
