<?php
//Create notifications about new/updated/done/delete tasks/projects that this user responsible for
function bp_gtm_format_notifications( $action, $elem_id, $group_id, $total_items ) {
	global $bp;

   $group_slug = groups_get_slug($group_id);
   $gtm_link = $bp->root_domain.'/'.$bp->groups->slug.'/'.$group_slug.'/'.$bp->gtm->slug;
   $element = explode('_', $action);

	switch ($action) {
      case 'task_created':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/tasks?action=created">' . __('Tasks you\'re now responsible for were created', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/tasks/view/'.$elem_id.'?action=created">' . __('Task you\'re now responsible for was created', 'bp_gtm') . '</a>';
         }
      break;
      case 'task_edited':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/tasks?action=edited">' . __('Tasks you\'re responsible for were updated', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/tasks/view/'.$elem_id.'?action=edited">' . __('Task you\'re responsible for was updated', 'bp_gtm') . '</a>';
         }
      break;
      case 'task_done':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/tasks?action=done">' . __('Tasks you\'re responsible for were done', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/tasks/view/'.$elem_id.'?action=done">' . __('Task you\'re responsible for was done', 'bp_gtm') . '</a>';
         }
      break;
      case 'task_undone':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/tasks?action=undone">' . __('Tasks you\'re responsible for were undone', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/tasks/view/'.$elem_id.'?action=undone">' . __('Task you\'re responsible for was undone', 'bp_gtm') . '</a>';
         }
      break;
      case 'task_deleted':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/tasks?action=deleted">' . __('Tasks you\'re responsible for were deleted', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/tasks?action=deleted">' . __('Task you\'re responsible for was deleted', 'bp_gtm') . '</a>';
         }
      break;
      
      // and now projects
      case 'project_created':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/projects?action=created">' . __('Projects you\'re now responsible for were created', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/projects/view/'.$elem_id.'?action=created">' . __('Project you\'re now responsible for was created', 'bp_gtm') . '</a>';
         }
      break;
      case 'project_edited':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/projects?action=edited">' . __('Projects you\'re responsible for were updated', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/projects/view/'.$elem_id.'?action=edited">' . __('Project you\'re responsible for was updated', 'bp_gtm') . '</a>';
         }
      break;
      case 'project_done':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/projects?action=done">' . __('Projects you\'re responsible for were done', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/projects/view/'.$elem_id.'?action=done">' . __('Project you\'re responsible for was done', 'bp_gtm') . '</a>';
         }
      break;
      case 'project_undone':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/projects?action=undone">' . __('Projects you\'re responsible for were undone', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/projects/view/'.$elem_id.'?action=undone">' . __('Project you\'re responsible for was undone', 'bp_gtm') . '</a>';
         }
      break;
      case 'project_deleted':
         if ( (int)$total_items > 1 ) {
            return '<a href="'.$gtm_link.'/projects?action=deleted">' . __('Projects you\'re responsible for were deleted', 'bp_gtm') . '</a>';
         }else{
            return '<a href="'.$gtm_link.'/projects/view/'.$elem_id.'?action=deleted">' . __('Project you\'re responsible for was deleted', 'bp_gtm') . '</a>';
         }
      break;
   }

	do_action( 'bp_gtm_format_notifications', $action, $elem_id, $group_id, $total_items );

	return false;
}

// And delete data after user saw this notification
function bp_gtm_remove_screen_notifications($user_id, $elem_id, $action) {
	global $wpdb, $bp;

   if($elem_id !='none') {
      $item_id = 'AND `item_id` = '.$elem_id;
   }else{
      $item_id = '';
   }

   return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->core->table_name_notifications}
      WHERE `user_id` = %d $item_id AND `component_name` = %s AND `component_action` = %s", $user_id, $bp->gtm->slug, $action) );
}
add_action( 'bp_gtm_delete_view_notification', 'bp_gtm_remove_screen_notifications', 1, 3 );

