<?php
class BP_GTM_Discussion {

   function get_posts($elem_id, $type){
      global $bp, $wpdb;

      if($type == 'tasks') {
         $for_elem = 'WHERE `task_id` = '.$elem_id;
      }elseif($type == 'projects') {
         $for_elem = 'WHERE `project_id` = '.$elem_id;
      }

      $posts = $wpdb->get_results($wpdb->prepare("
         SELECT * FROM {$bp->gtm->table_discuss}
         {$for_elem}
         ORDER BY `id` ASC
      "));

      return $posts;
   }

   function get_list($group_id = false, $filter = false, $limit = false){
      global $bp, $wpdb;

      if (is_numeric($group_id)){
         $in_group = ' WHERE d.`group_id` = ' . $group_id;
      }else{
         $in_group = '';
      }

      if ($filter == false || $filter == 'date'){
         $elem_id = '`task_id`';
         $with_filter = ' AND d.`project_id` = 0';
         $table = $bp->gtm->table_tasks;
      }elseif($filter == 'tasks'){
         $elem_id = '`task_id`';
         $with_filter = ' AND d.`project_id` = 0';
         $table = $bp->gtm->table_tasks;
      }elseif($filter == 'projects'){
         $elem_id = '`project_id`';
         $with_filter = ' AND d.`task_id` = 0';
         $table = $bp->gtm->table_projects;
      }

      if (count($limit) == 2) {
         $with_limit = ' LIMIT '.$limit['miss'].' , '.$limit['per_page'];
      }else{
         $with_limit = '';
      }
      $sql = "SELECT d.{$elem_id} AS `elem_id`, d.`id`, d.`author_id`, d.`date_created`, el.`discuss_count`
         FROM {$bp->gtm->table_discuss} AS d, {$table} AS el
         {$in_group}
         {$with_filter}
         AND el.`id` = d.{$elem_id}
         AND d.`author_id` =
            (SELECT `author_id` FROM {$bp->gtm->table_discuss}
             WHERE d.{$elem_id} = {$elem_id}
             ORDER BY `date_created` DESC
             LIMIT 1)
         GROUP BY d.{$elem_id}
         ORDER BY d.`date_created` DESC
         {$with_limit}";

//         print_var($sql);

      $posts = $wpdb->get_results($wpdb->prepare($sql));

      return $posts;
   }

   function get_count($type ='tasks', $group_id = false){
      global $bp, $wpdb;

      if ($type == 'tasks'){
         $select = '`task_id`';
         $where = 'WHERE `project_id` = 0';
      }elseif($type == 'projects'){
         $select = '`project_id`';
         $where = 'WHERE `task_id` = 0';
      }

      if (is_numeric($group_id)){
         $in_group = 'AND `group_id` = '.$group_id;
      }else{
         $in_group = '';
      }

      $sql = "SELECT COUNT(DISTINCT {$select})
         FROM {$bp->gtm->table_discuss}
         {$where}
         {$in_group}";
//         print_var($sql);

      $count = $wpdb->get_var($wpdb->prepare($sql));

      return $count;
   }
}

// Discussions page pagination func
function bp_gtm_discuss_navi($type = 'tasks', $group_id = false, $per_page = 20){
   global $bp, $wpdb;

   $cur = 1;
   $discusses = BP_GTM_Discussion::get_count($type, $group_id);

   $pages = ceil($discusses / $per_page);
//   echo $discusses .'/'.$per_page.'='.$pages;

   if ($pages > 1) {
      echo '<p class="navi" id="'.$discusses.'">';
      echo sprintf(__('<span id="cur_discuss">%d - %d</span> out of %d.&nbsp;', 'bp_gtm'), $cur, $per_page, $discusses);
      _e('Pagination:', 'bp_gtm');
      for ($i = 0; $i < $pages; $i++) {
         $c = $i+1;
         $cur = $cur - 1;
         if ($cur != $i) {
            echo '&nbsp;<a id="'.$i.'-'.$per_page.'" class="discuss_navi" href="#">'.$c.'</a>';
         }else{
            echo '&nbsp;<a id="'.$i.'-'.$per_page.'" class="discuss_navi current" href="#">'.$c.'</a>';
         }
      }
      echo '</p>';
   }else{
      _e('List of the latest tasks/projects discussions in this group.', 'bp_gtm');
   }

}

// Load next page content
function bp_gtm_discuss_navi_content(){
   global $bp, $wpdb;

   $data = explode('-',$_GET['nextPage']);
   $limit['miss'] = ($data['0'] * $data['1']);
   $limit['per_page'] = $data['1'];

   $discusses = BP_GTM_Discussion::get_list($bp->groups->current_group->id, $_GET['what'], $limit);

   if (count($discusses)>0) {
      $i = 1;
      foreach((array)$discusses as $post) {
         if ( is_int($i / 2) ) {
            $alt = ' alt';
         }else{
            $alt = '';
         } ?>
         <tr class="<?php echo $alt ?>">
            <td class="td-title">
               <a class="topic-title" href="<?php echo $gtm_link.$_GET['what'].'/view/'.$post->elem_id ?>" title="<?php _e('Permalink', 'bp_gtm') ?>">
                  <?php echo bp_gtm_get_el_name_by_id($post->elem_id, $_GET['what']); ?>
               </a>
            </td>
            <td class="td-poster">
            <?php
               $arg['item_id'] = $post->author_id;
               $arg['width'] = '25';
               $arg['height'] = '25';
            ?>
               <div class="poster-name"><?php echo bp_core_fetch_avatar($arg); echo bp_core_get_userlink($arg['item_id']); ?></div>
            </td>
            <td class="td-postcount">
               <?php echo $post->discuss_count; ?>
            </td>
            <td class="td-freshness">
            <?php
               $datef = __('M jS, Y', 'bp_gtm');
               $date = date_i18n($datef, strtotime($post->date_created));
            ?>
               <div class="object-name" style="text-align:center"><?php echo $date; ?></div>
            </td>

            <?php do_action('bp_gtm_discuss_extra_cell') ?>
         </tr>
         <?php do_action( 'bp_gtm_discuss_extra_row' );
         $i++;
      }
   }else{
      echo '<div id="message" class="info"><p>'.__('There are no posts to display.','bp_gtm').'</p></div>';
   }

}
add_action('wp_ajax_bp_gtm_discuss_navi_content', 'bp_gtm_discuss_navi_content');

function bp_gtm_discuss_editor_links($post_id){
   global $bp;
   if (is_site_admin() || $bp->is_item_admin || $bp->is_item_mod){ ?>
      <a class="edit_post" id="<?php echo $post_id ?>" href="#" title="<?php _e( 'Edit', 'bp_gtm' ) ?>"><?php _e( 'Edit', 'bp_gtm' ); ?></a>
      <a class="delete_post" id="<?php echo $post_id ?>" href="#" title="<?php _e( 'Delete', 'bp_gtm' ) ?>"><?php _e( 'Delete', 'bp_gtm' ); ?></a>
   <?php
      do_action('bp_gtm_discuss_admin_mod_links');
   }
   do_action('bp_gtm_discuss_public_links');
}

function bp_gtm_discuss_posts_actions(){
   global $bp, $wpdb;

   if ($_GET['action_type'] == 'edit'){
      $new_text = apply_filters('bp_gtm_discuss_text_content', $_GET['text']);
      $wpdb->query($wpdb->prepare("
         UPDATE {$bp->gtm->table_discuss}
         SET `text` = '{$new_text}'
         WHERE `id` = {$_GET['post_id']}"));
      echo $new_text;
   }elseif($_GET['action_type'] == 'delete'){
      $wpdb->query($wpdb->prepare("DELETE FROM {$bp->gtm->table_discuss} 
                  WHERE `id` = %d AND `group_id` = %d", $_GET['post_id'], $bp->groups->current_group->id));
      if ($_GET['elem'] == 'projects'){
         $wpdb->query($wpdb->prepare("
            UPDATE {$bp->gtm->table_projects}
            SET `discuss_count` = `discuss_count` - 1
            WHERE `id` = {$_GET['elem_id']}"));
      }elseif($_GET['elem'] == 'tasks'){
         $wpdb->query($wpdb->prepare("
            UPDATE {$bp->gtm->table_tasks}
            SET `discuss_count` = `discuss_count` - 1
            WHERE `id` = {$_GET['elem_id']}"));
      }
      echo 'deleted';
   }
}
add_action('wp_ajax_bp_gtm_discuss_posts_actions', 'bp_gtm_discuss_posts_actions');