<h4><?php _e( 'Create New Project', 'bp_gtm' ) ?></h4>

<?php do_action( 'bp_before_gtm_project_create' ); ?>

<label for="project_name">* <?php _e('Project name','bp_gtm'); ?></label>
<input type="text" name="project_name" id="project_name" value="" />

<label for="project_desc">* <?php _e( 'Project description', 'bp_gtm' ) ?></label>
<textarea name="project_desc" id="gtm_desc"></textarea>

<label for="project_resp"><?php _e('Who is responsible for this project execution or has access if its hidden?','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="project_resp" class="resp" id="resp" />
	</li>
</ul>

<?php do_action( 'bp_gtm_project_extra_fields_editable' ) ?>

<p>
	<label for="project_status">* <?php _e( 'Project status', 'bp_gtm' ); ?></label>
	<input type="radio" name="project_status" value="public" /> <?php _e( 'Public - for all logged in users', 'bp_gtm' ); ?><br>
	<input type="radio" name="project_status" value="private" checked="checked" /> <?php _e( 'Private - for this group members only', 'bp_gtm' ); ?><br>
   <input type="radio" name="project_status" value="hidden" /> <?php _e( 'Hidden - for creator, group admin and responsible people only', 'bp_gtm' ); ?>
</p>

<label for="project_deadline">* <?php _e('Project Deadline','bp_gtm'); ?> [yyyy-mm-dd]</label>
<input type="text" name="project_deadline" id="project_deadline" value="" />

<label for="project_tags"><?php _e('Project Tags (separate new tags with comma)','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="project_tags" class="tags" id="tags" />
	</li>
</ul>

<label for="project_tags"><?php _e('Project Categories: ', 'bp_gtm') ?></label>
<?php
   $cats = BP_GTM_Taxon::get_terms_in_group($bp->groups->current_group->id, 'cat');
   if (count($cats) > 0) {
      foreach($cats as $cat){
         echo '<input name="project_cats['.$cat['id'].'][id]" type="checkbox" value="'.$cat['id'].'" /> '.$cat['name'].'<br>';
         echo '<input name="project_cats['.$cat['id'].'][name]" type="hidden" value="'.$cat['name'].'" />';
      }
   }else{
      $link = $bp->root_domain . '/' . $bp->groups->slug . '/' . $bp->groups->current_group->slug . '/'.$bp->gtm->slug.'/terms';
      echo sprintf( __( '<p>There are no categories to display. Create it <a href="%s" target="_blank">here</a></p>','bp_gtm'), $link );
   }
?>

<?php do_action( 'bp_after_gtm_project_create' ); ?>

<input type="hidden" name="project_creator" value="<?php echo $bp->loggedin_user->id; ?>" />
<input type="hidden" name="project_group" value="<?php echo $bp->groups->current_group->id; ?>" />
<input type="hidden" name="project_resp_usernames" id="resp_usernames" value="<?php bp_gtm_resp_usernames(); ?>" class="<?php bp_gtm_resp_usernames() ?>" />
<input type="hidden" name="project_tag_names" id="tag_names" value="<?php bp_gtm_tag_names(); ?>" class="<?php bp_gtm_tag_names() ?>" />

<p>&nbsp;</p><div style="clear:both"></div>
<p><input type="submit" value="<?php _e( 'Create Project', 'bp_gtm' ) ?> &rarr;" id="save" name="saveNewProject" /></p>
<?php wp_nonce_field( 'bp_gtm_new_project' ) ?>