<?php
$url = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
$parent_task = parse_url($url, PHP_URL_QUERY );
if (is_numeric(parse_url($url, PHP_URL_QUERY )) && parse_url($url, PHP_URL_QUERY ) > 0){
   $parent_task = parse_url($url, PHP_URL_QUERY );
   $h4_title = __( 'Create New SubTask for', 'bp_gtm' ) .' <em>"'. bp_gtm_get_el_name_by_id( $parent_task, 'task' ) .'"</em>';
}else{
   $parent_task = 0;
   $h4_title = __( 'Create New Task', 'bp_gtm' );
}
?>

<h4><?php echo $h4_title ?></h4>

<?php do_action( 'bp_before_gtm_task_create' ); ?>

<p>
   <label for="task_name">* <?php _e('Task name','bp_gtm'); ?></label>
   <input type="text" name="task_name" id="task_name" value="" />
</p>

<p>
   <label for="task_desc">* <?php _e( 'Task description', 'bp_gtm' ) ?></label>
   <textarea name="task_desc" id="gtm_desc"></textarea>
</p>

<label for="task_resp"><?php _e('Who is responsible for this task execution or has access if its hidden?','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="task_resp" class="resp" id="resp" />
	</li>
</ul>

<?php do_action( 'bp_gtm_task_extra_fields_editable' ) ?>

<?php if ($parent_task == 0) { ?>
<p>
	<label for="task_project">* <?php _e( 'Project that this task corresponds to', 'bp_gtm' ); ?></label>
   <?php
   $projects = bp_gtm_get_projects($bp->groups->current_group->id, $filter = 'alpha');
   if (count($projects)>0) {
      echo '<table style="width:auto;">';
      foreach ($projects as $project) {
         $datef = __( 'M jS, Y', 'bp_gtm' );
         $deadline = date_i18n( $datef, strtotime( $project->deadline ) );
         echo '<tr><td style="padding:0px 15px 0 0"><input type="radio" name="task_project" value="'. $project->id .'" /> '. $project->name .'</td>
                   <td style="padding:0">'.__('Deadline','bp_gtm').': '.$deadline.'</td></tr>';
      }
      echo '</table>';
   }else{
      _e('Please create at least one project to proceed.', 'bp_gtm');
   }
   ?>
</p>
<?php } ?>

<label for="task_deadline">* <?php _e('Task Deadline','bp_gtm'); ?> [yyyy-mm-dd]</label>
<input type="text" name="task_deadline" id="task_deadline" value="" />

<label for="task_tags"><?php _e('Task Tags (separate new tags with comma)','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="task_tags" class="tags" id="tags" />
	</li>
</ul>

<label for="task_tags"><?php _e('Task Categories: ', 'bp_gtm') ?></label>
<?php
   $cats = BP_GTM_Taxon::get_terms_in_group($bp->groups->current_group->id, 'cat');
   if (count($cats) > 0) {
      foreach($cats as $cat){
         echo '<input name="task_cats['.$cat['id'].'][id]" type="checkbox" value="'.$cat['id'].'" /> '.$cat['name'].'<br>';
         echo '<input name="task_cats['.$cat['id'].'][name]" type="hidden" value="'.$cat['name'].'" />';
      }
   }else{
      $link = $gtm_link.'terms';
      echo sprintf( __( '<p>There are no categories to display. Create it <a href="%s" target="_blank">here</a></p>','bp_gtm'), $link );
   }
?>

<?php do_action( 'bp_after_gtm_task_create' ); ?>


<input type="hidden" name="task_creator" value="<?php echo $bp->loggedin_user->id; ?>" />
<input type="hidden" name="task_parent" value="<?php echo $parent_task ?>" />
<input type="hidden" name="task_group" value="<?php echo $bp->groups->current_group->id; ?>" />
<input type="hidden" name="task_resp_usernames" id="resp_usernames" value="<?php bp_gtm_resp_usernames(); ?>" class="<?php bp_gtm_resp_usernames() ?>" />
<input type="hidden" name="task_tag_names" id="tag_names" value="<?php bp_gtm_tag_names(); ?>" class="<?php bp_gtm_tag_names() ?>" />

<p>&nbsp;</p><div style="clear:both"></div>
<?php if (count($projects)>0 || $parent_task) { ?>
   <p><input type="submit" value="<?php _e( 'Create Task', 'bp_gtm' ) ?> &rarr;" id="save" name="saveNewTask" /></p>
   <?php wp_nonce_field( 'bp_gtm_new_task' ) ?>
<?php } ?>
